<?php   
	require("lib/config.php");
	$sql = "SELECT * FROM `customers` where email = '".$_GET['email']."'";
	$result = $conn->query($sql);
	
	if ($result->num_rows > 0) {
		$row = $result->fetch_assoc();
		$cid = $row['id'];
	
	    	$sql = "SELECT * FROM `password_reset` where customer_id = '".$cid."' and `expiry` > '".time()."'";
		$result = $conn->query($sql);
		if(!$result) {
		error_log($conn->error);
		}
		
		if ($result->num_rows > 0) {
			$reset = "yes";
		} else {
			$reset = "no";
		}
	}
		
		
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>SMS Sender</title>

    <!-- Bootstrap -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet">

    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesnt work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <style>
        #map {
            height:300px;
        }
        body{
            background-color: #ffffff;
        }
        *
{
    padding: 0;
    margin: 0;
}
#over
{
    //position:absolute;
    width:100%;
    height:100%;
    text-align: center; /*handles the horizontal centering*/
}
/*handles the vertical centering*/
.Centerer
{
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}
.Centered
{
    display: inline-block;
    vertical-align: middle;
}

    </style>
</head>
<body>

<div class="container">
    <div id="over">
    <span class="Centerer"></span>
    <img class="Centered" src="https://bookings.perthdesignateddrivers.com.au/family/family-cab_small.jpg" style="max-height:60px;">
    </div>
    <br><br><br>
            <div class="row reset">
                <div class="col-xs-12 col-md-6 no-padding">
                    <input type="password" required data-validation="required"  class="form-control" placeholder="New Password" value="" name="password1" id="password1" >
                    <input type="password" required data-validation="required"  class="form-control" placeholder="Re-enter New Password" value="" name="password2" id="password2" >
                    
                    
                </div>
                
            </div>
            <div class="row disallow">
            <div class="col-xs-12 col-md-6 no-padding" style="text-align: center;">
            <h3>Your password reset link has expired</h3>
            
            </div>
            </div>
            <br><br>
            
            <div class="row reset">
            <div class="col-xs-12 col-md-6 no-padding">
                
                    <input type="button" name="myButton" style="background: rgb(2, 117, 216) none repeat scroll 0% 0%;padding-top:10px;color:#FFFFFF;" class="btn-block col-xs-12 col-md-6  name="button id="button" value="Submit">
            </div>
</div>
<div class="row reset">
            

<div class="col-xs-12 col-md-6 no-padding" style="text-align:center">
 
 Status: <span style="color:#FF0000;font-size: 150%;text-align: center;" id="test"></span><br>
  </div>
  </div>



<!-- jQuery (necessary for Bootstraps JavaScript plugins) -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>


<script src="//cdnjs.cloudflare.com/ajax/libs/jquery-form-validator/2.3.23/jquery.form-validator.min.js"></script>
<script type="text/javascript">

var reset = "<?=$reset?>";

$(document).ready(function(){
if(reset == "yes") {
$('.reset').show();
$('.disallow').hide();
} else {
$('.reset').hide();
$('.disallow').show();
}

})


$("#button").click(function(){

if($('#password1').val() == $('#password2').val()) {

var password = $('#password2').val();
var email = "<?=$_GET['email']?>";




$.post("emailConfirmReset.php", {password: password, email: email}, function (data) {
                console.log(data);
                if(data == "yes"){
                $("#test").text("Password change successful");
                $("#test").attr('style', 'color:#00FF00;font-size: 150%;text-align: center;background-color: #ffffff;');
                }
                if(data != "yes"){
                $("#test").text("Error");
                $("#test").attr('style', 'color:#FF0000;font-size: 150%;text-align: center;background-color: #ffffff;');
                }
               
               
                
})

} else {
$("#test").text("Passwords do not match");
                $("#test").attr('style', 'color:#FF0000;font-size: 150%;text-align: center;background-color: #ffffff;');
}
})




</script>


</body>
</html>